#
# spec file for package dhewm3
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dhewm3
Version:        1.4.1
Release:        lp150.1.5
Summary:        DOOM 3 source port
License:        GPL-3.0
Group:          Amusements/Games/3D/Shoot
Url:            https://github.com/dhewm/dhewm3
Source0:        https://github.com/dhewm/%{name}/archive/%{version}.tar.gz
# upstream bug: https://github.com/dhewm/dhewm3/issues/172
Patch0:         0001-Remove-use-of-date-time-macros.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  cmake(sdl2)
BuildRequires:  pkgconfig(libcurl)
# BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)

%description
dhewm3 is a DOOM 3 GPL source port.
Unlike the original DOOM 3, dhewm3 uses:

- SDL for low level OS support, OpenGL and input handling
- OpenAL for audio output, all OS specific audio backends are gone
- OpenAL EFX for EAX reverb effects
- Better support for widescreen (and arbitrary display resolutions)

%prep
%setup -q
%patch0 -p1

%build
cd neo
%cmake ..
%make_jobs

%install
cd neo
%cmake_install

%files
%defattr(-,root,root,-)
%doc README.md COPYING.txt
%{_bindir}/%{name}
%{_libdir}/%{name}

%changelog
* Wed Jun 28 2017 jengelh@inai.de
- Trim redundant mentions from summary and description.
* Sat Jun 24 2017 9@cirno.systems
- Initial commit, 1.4.1
  * Fixed some (kinda rare) crashes due to assertion errors,
    especially observed in the last boss fights of both doom3
    and the Resurrection of Evil Addon.
  * Improved compatibility with AZERTY keyboards
    (the row of keys with 1...9, 0 is now usable)
  * Fixed a crash (at least on FreeBSD) when loading
    Resurrection of Evil's last level
  * Video resolutions in menu now sorted, added 2880x1800
  * Support for up to 8 mouse buttons
